"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var parseSchemas_1 = __importDefault(require("./parseSchemas"));
var mapApi_1 = require("./mapApi");
exports.default = (function (_a) {
    var gapiAsJsonSchema = _a.gapiAsJsonSchema;
    var queryResolvers = {};
    var resolvers = {};
    var graphQLTypes = parseSchemas_1.default(gapiAsJsonSchema.schemas);
    var context = { resolvers: resolvers, queryResolvers: queryResolvers, graphQLTypes: graphQLTypes };
    return mapApi_1.mapApi(gapiAsJsonSchema, context);
});
//# sourceMappingURL=index.js.map